import { IEffectsAction } from 'redux-effects-promise';
import { AnyT } from '../definitions.interface';
import { ISettingsEntity } from '../settings';
import { IAuth, IRoutesEntity, IStorage, ITransportResponseAccessor, IUniversalStoreEntity, IVersionProcessor } from '../definition';
import { BaseEffects } from '../store/effects/base.effects';
export declare class UniversalApplicationEffects<TApi> extends BaseEffects<TApi> {
    private static logger;
    protected readonly auth: IAuth;
    protected notVersionedPersistentStorage: IStorage;
    protected readonly routes: IRoutesEntity;
    protected readonly settings: ISettingsEntity;
    protected responseAccessor: ITransportResponseAccessor;
    protected readonly versionProcessor: IVersionProcessor;
    /**
     * @stable - 25.04.2018
     * @returns {Promise<IEffectsAction[]> | IEffectsAction[]}
     */
    $onInit(): Promise<IEffectsAction[]>;
    /**
     * @stable [16.11.2019]
     * @param {IEffectsAction} _
     * @returns {Promise<IEffectsAction[]>}
     */
    $onAfterInit(_: IEffectsAction): Promise<IEffectsAction[]>;
    /**
     * @stable - 25.04.2018
     * @returns {Promise<AnyT> | IEffectsAction[] | IEffectsAction}
     */
    $onPrepare(): Promise<AnyT> | IEffectsAction[] | IEffectsAction;
    /**
     * @stable - 25.04.2018
     * @returns {Promise<AnyT> | IEffectsAction[] | IEffectsAction}
     */
    $onPrepareDone(action: IEffectsAction, state: IUniversalStoreEntity): Promise<AnyT> | IEffectsAction[] | IEffectsAction;
    /**
     * @stable [05.02.2019]
     * @param {IEffectsAction} action
     * @returns {IEffectsAction}
     */
    $onPrepareError(action: IEffectsAction): IEffectsAction;
    /**
     * @stable [26.09.2019]
     * @returns {IEffectsAction[]}
     */
    $onAfterLogin(): IEffectsAction[];
    /**
     * @stable - 25.04.2018
     * @returns {IEffectsAction[]}
     */
    $onLogout(): IEffectsAction[];
    /**
     * @stable [16.09.2019]
     * @returns {Promise<IEffectsAction[]>}
     */
    $onAfterLogout(): Promise<IEffectsAction[]>;
    /**
     * @stable - 25.04.2018
     * @param {IEffectsAction} action
     * @param {IUniversalStoreEntity} state
     */
    $onAuthorized(action: IEffectsAction, state: IUniversalStoreEntity): Promise<void>;
    /**
     * @stable - 25.04.2018
     */
    $onUnauthorized(): Promise<void>;
    /**
     * @stable [16.09.2019]
     * @returns {Promise<void>}
     */
    protected processNewVersionAndReload(): Promise<void>;
}
