/// <reference types="react" />
import { IConnectorEntity, IContainerCtor, IStoreEntity } from '../../definition';
import { IApplicationContainerProps } from './application.interface';
import { UniversalApplicationContainer } from './universal-application.container';
export declare class ApplicationContainer<TStoreEntity extends IStoreEntity = IStoreEntity> extends UniversalApplicationContainer<IApplicationContainerProps> {
    private readonly routerRef;
    private stateUnloadUnsubscriber;
    /**
     * @stable [24.09.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [24.09.2019]
     */
    componentDidMount(): void;
    protected getRoutes(): JSX.Element[];
    /**
     * @stable [16.11.2019]
     * @param {IContainerCtor} ctor
     * @param {IConnectorEntity} connectorEntity
     * @returns {JSX.Element}
     */
    protected buildRoute(ctor: IContainerCtor, connectorEntity: IConnectorEntity): JSX.Element;
    /**
     * @stable [24.09.2019]
     * @returns {boolean}
     */
    protected registerStateTask(): boolean;
    /**
     * @stable [24.09.2019]
     * @returns {boolean}
     */
    protected unregisterStateTask(): boolean;
    /**
     * @stable [24.09.2019]
     * @returns {IRouter}
     */
    private readonly dynamicRouter;
}
