import { IButtonEntity, IGenericButtonEntity } from '../../definition';
/**
 * @stable - 19.04.2018
 * @param {UniversalButtonEntityT} entity
 * @returns {boolean | undefined}
 */
export declare const isButtonDisabled: (entity: IButtonEntity) => boolean;
/**
 * @stable [27.09.2019]
 * @param {IGenericButtonEntity} entity
 * @returns {string}
 */
export declare const getButtonText: (entity: IGenericButtonEntity) => string;
/**
 * @stable - 19.04.2018
 * @param {UniversalButtonEntityT} entity
 * @param {string} progressIcon
 * @param {string} errorIcon
 * @returns {string}
 */
export declare const getButtonIcon: (entity: IButtonEntity, progressIcon: string, errorIcon: string) => string;
/**
 * @stable [23.02.2019]
 * @param {IGenericButtonEntity} props
 * @returns {boolean}
 */
export declare const hasIconButton: (props: IGenericButtonEntity) => boolean;
