"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../../definitions.interface");
var api_1 = require("../../api");
describe('form.support', function () {
    describe('buildApiEntity', function () {
        it('test1', function () {
            var apiEntity = api_1.apiEntityFactory({
                field1: 101,
            }, definitions_interface_1.UNDEF, null);
            expect(apiEntity).toEqual({
                newEntity: true,
                changes: {
                    field1: 101,
                },
                merger: {
                    field1: 101,
                },
            });
        });
        it('test2', function () {
            var apiEntity = api_1.apiEntityFactory({
                field1: 102,
            }, {
                id: 1,
                field1: 101,
                field2: 'fieldValue2',
            }, definitions_interface_1.UNDEF);
            expect(apiEntity).toEqual({
                entityId: 1,
                newEntity: false,
                changes: {
                    field1: 102,
                },
                merger: {
                    id: 1,
                    field1: 102,
                    field2: 'fieldValue2',
                },
                entity: {
                    id: 1,
                    field1: 101,
                    field2: 'fieldValue2',
                },
            });
        });
        it('test3', function () {
            var apiEntity = api_1.apiEntityFactory({}, {
                id: 1,
                field1: 101,
                field2: 'fieldValue2',
            }, definitions_interface_1.UNDEF);
            expect(apiEntity).toEqual({
                entityId: 1,
                newEntity: false,
                changes: {},
                merger: {
                    id: 1,
                    field1: 101,
                    field2: 'fieldValue2',
                },
                entity: {
                    id: 1,
                    field1: 101,
                    field2: 'fieldValue2',
                },
            });
        });
    });
});
//# sourceMappingURL=form.support.spec.js.map