import * as React from 'react';
import { UniversalComponent } from '../../base';
import { IGridColumnProps } from '../../../definition';
export declare class BaseGridColumn<TProps extends IGridColumnProps = IGridColumnProps> extends UniversalComponent<TProps> {
    /**
     * @stable [17.10.2019]
     * @param {TProps} style
     * @returns {React.CSSProperties}
     */
    protected getStyle(style?: TProps): React.CSSProperties;
    /**
     * @stable [18.10.2019]
     * @param {string} classNames
     * @returns {string}
     */
    protected getClassName(...classNames: string[]): string;
    /**
     * @stable [26.10.2019]
     * @returns {JSX.Element}
     */
    protected readonly columnContentElement: JSX.Element;
    /**
     * @stable [22.10.2019]
     * @param {React.ReactNode} children
     * @returns {React.ReactNode}
     */
    protected getColumnContentChildrenElement(children: React.ReactNode): React.ReactNode;
}
