import { IEntity } from '../../definitions.interface';
import { IGridState, ITimeGridBuilderConfigEntity } from './grid.interface';
import { IGridColumnProps, IGridProps, ISortDirectionEntity, MultiFieldEntityT } from '../../definition';
/**
 * @stable [10.09.2018]
 */
export declare const DEFAULT_BUILDER_CONFIG: ITimeGridBuilderConfigEntity;
/**
 * @stable [04.10.2018]
 * @param {IGridColumnProps} defaultConfig
 * @param {string} extraClassName
 * @returns {IGridColumnProps}
 */
export declare const buildTimeGridInfoColumn: (defaultConfig: IGridColumnProps<IEntity>, extraClassName?: string) => IGridColumnProps<IEntity>;
/**
 * @stable [10.09.2018]
 * @param {IGridColumnProps} defaultConfig
 * @param {ITimeGridBuilderConfigEntity} builderConfig
 * @returns {IGridColumnProps[]}
 */
export declare const buildTimeGridColumns: (defaultConfig?: IGridColumnProps<IEntity>, builderConfig?: ITimeGridBuilderConfigEntity) => IGridColumnProps<IEntity>[];
/**
 * @stable [12.02.2019]
 * @param {IGridColumnProps} column
 * @param {IGridProps} props
 * @returns {SortDirectionsEnum}
 */
export declare const getGridColumnSortDirection: (column: IGridColumnProps<IEntity>, props: IGridProps) => ISortDirectionEntity;
export declare const filterAndSortGridOriginalDataSource: (source: IEntity[], columns: IGridColumnProps<IEntity>[], props: IGridProps, state: IGridState) => IEntity[];
/**
 * @stable [07.03.2019]
 * @param {MultiFieldEntityT} entity
 * @param {(item) => EntityIdT} groupValueAccessor
 * @returns {Record<EntityIdT, boolean>}
 */
export declare const toExpandedGridGroups: <TEntity extends IEntity>(entity: MultiFieldEntityT<TEntity>, groupValueAccessor: (item: TEntity) => string | number) => Record<string | number, boolean>;
