/// <reference types="react" />
import { AnyT, IEntity } from '../../definitions.interface';
import { UniversalComponent } from '../base/universal.component';
import { IUniversalMessageProps } from '../message/universal-message.interface';
export declare abstract class UniversalList<TProps extends any, // TODO Props
TState = {}, TSelfRef = AnyT> extends UniversalComponent<TProps, TState, TSelfRef> {
    /**
     * @stable [27.10.2019]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [21.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.04.2018]
     * @returns {JSX.Element}
     */
    protected abstract getMessage(): JSX.Element;
    /**
     * @stable [23.04.2018]
     * @returns {JSX.Element}
     */
    protected abstract getView(): JSX.Element;
    /**
     * @stable [23.04.2018]
     */
    protected onCreate(): void;
    /**
     * @stable [23.10.2019]
     * @param {IEntity} entity
     * @returns {boolean}
     */
    protected isEntitySelected(entity: IEntity): boolean;
    /**
     * @stable [19.08.2018]
     * @param {IEntity} entity
     * @returns {string}
     */
    protected toRowKey(entity: IEntity): string;
    /**
     * @stable [17.06.2018]
     * @returns {IEntity[]}
     */
    protected readonly originalDataSource: IEntity[];
    /**
     * @stable [17.06.2018]
     * @returns {IEntity[]}
     */
    protected readonly dataSource: IEntity[];
    /**
     * @stable [09.06.2018]
     * @returns {TMessageComponentProps}
     */
    protected getMessageComponentProps<TMessageComponentProps extends IUniversalMessageProps>(): TMessageComponentProps;
    /**
     * @stable [06.06.2018]
     * @returns {IEntity[]}
     */
    protected filterAndSortOriginalDataSourceUsingLocalFiltersAndSorters(): IEntity[];
    /**
     * @stable [18.10.2018]
     * @returns {boolean}
     */
    protected readonly isRemoteMode: boolean;
    /**
     * @stable [09.06.2018]
     * @returns {React.ReactNode}
     */
    private readonly emptyMessage;
    /**
     * @stable [17.06.2018]
     * @returns {boolean}
     */
    private readonly emptyData;
    /**
     * @stable [17.06.2018]
     * @returns {boolean}
     */
    private readonly originalDataSourceDoesNotExist;
    /**
     * @stable [09.05.2018]
     * @returns {number}
     */
    private readonly fromNumber;
    /**
     * @stable [09.05.2018]
     * @returns {number}
     */
    private readonly toNumber;
}
