"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var layout_1 = require("../layout");
var progress_1 = require("../progress");
var universal_message_component_1 = require("./universal-message.component");
var util_1 = require("../../util");
var Message = /** @class */ (function (_super) {
    __extends(Message, _super);
    function Message() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [23.04.2018]
     * @returns {JSX.Element}
     */
    Message.prototype.getProgressLabel = function () {
        return React.createElement(progress_1.ProgressLabel, __assign({}, this.props.progressLabelProps));
    };
    /**
     * @stable [09.06.2018]
     * @param {React.ReactNode} message
     * @param {React.ReactNode} node
     * @returns {JSX.Element}
     */
    Message.prototype.getMessageWrapper = function (message, node) {
        return (React.createElement(layout_1.CenterLayout, { className: util_1.toClassName('rac-message', this.props.className) },
            util_1.isString(message)
                ? (React.createElement("div", { className: 'rac-message-content' }, message.split('\n').map(function (part) { return React.createElement("p", { key: util_1.uuid() }, part); })))
                : message,
            node));
    };
    return Message;
}(universal_message_component_1.UniversalMessage));
exports.Message = Message;
//# sourceMappingURL=message.component.js.map