"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var base_1 = require("../base");
var layout_1 = require("../layout");
var util_1 = require("../../util");
var definitions_interface_1 = require("../../definitions.interface");
var Overlay = /** @class */ (function (_super) {
    __extends(Overlay, _super);
    function Overlay() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [13.01.2019]
     * @returns {React.ReactNode}
     */
    Overlay.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return ReactDOM.createPortal(React.createElement(layout_1.FlexLayout, { row: true, className: util_1.toClassName('rac-overlay rac-absolute-full', props.className), onClick: props.onClick },
            props.children || definitions_interface_1.UNI_CODES.noBreakSpace,
            props.progress && (React.createElement(layout_1.FlexLayout, { fullSize: true, alignItemsCenter: true, justifyContentCenter: true, className: 'rac-overlay-progress' }, this.uiFactory.makeIcon({ type: 'spinner', className: 'rac-overlay-progress-icon' }))),
            util_1.orNull(util_1.isFn(props.onClose), function () { return (_this.uiFactory.makeIcon({
                type: 'close',
                className: 'rac-overlay-close-action',
                onClick: props.onClose,
            })); })), this.domAccessor.getDocumentBodyElement());
    };
    /**
     * @stable [13.01.2019]
     */
    Overlay.prototype.componentDidMount = function () {
        _super.prototype.componentDidMount.call(this);
        this.setOverlayBackgroundClassName(true);
    };
    /**
     * @stable [13.01.2019]
     */
    Overlay.prototype.componentWillUnmount = function () {
        _super.prototype.componentWillUnmount.call(this);
        this.setOverlayBackgroundClassName(false);
    };
    /**
     * @stable [13.01.2019]
     * @param {boolean} add
     */
    Overlay.prototype.setOverlayBackgroundClassName = function (add) {
        var overlayBackgroundClassName = this.props.overlayBackgroundClassName;
        if (util_1.isString(overlayBackgroundClassName)) {
            if (add) {
                this.domAccessor.addClassNames(this.domAccessor.getRootElement(), overlayBackgroundClassName);
            }
            else {
                this.domAccessor.removeClassNames(this.domAccessor.getRootElement(), overlayBackgroundClassName);
            }
        }
    };
    return Overlay;
}(base_1.BaseComponent));
exports.Overlay = Overlay;
//# sourceMappingURL=overlay.component.js.map