import { IUniversalContainer, IUniversalContainerProps, IUniversalStoreEntity } from '../../../../definition';
import { BaseStoreProxy } from '../base-store.proxy';
import { IFormStoreProxy } from './form-store-proxy.interface';
import { IKeyValue } from '../../../../definitions.interface';
export declare class FormStoreProxy<TStore extends IUniversalStoreEntity = IUniversalStoreEntity, TProps extends IUniversalContainerProps = IUniversalContainerProps> extends BaseStoreProxy<TStore, TProps> implements IFormStoreProxy {
    readonly container: IUniversalContainer<TProps>;
    /**
     * @stable [09.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    constructor(container: IUniversalContainer<TProps>);
    /**
     * @stable [09.10.2019]
     * @param {string} otherSection
     */
    dispatchFormReset(otherSection?: string): void;
    /**
     * @stable [09.10.2019]
     * @param {TChanges} changes
     * @param {string} otherSection
     */
    dispatchFormChanges<TChanges extends IKeyValue = IKeyValue>(changes: TChanges, otherSection?: string): void;
}
