"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var base_1 = require("../base");
var tabpanel_interface_1 = require("./tabpanel.interface");
var tabpanel_support_1 = require("./tabpanel.support");
var tabpanel_component_1 = require("./tabpanel.component");
var TabPanelContainer = /** @class */ (function (_super) {
    __extends(TabPanelContainer, _super);
    /**
     * @stable [30.08.2018]
     * @param {TProps} props
     */
    function TabPanelContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onTabClick = _this.onTabClick.bind(_this);
        _this.onDeactivate = _this.onDeactivate.bind(_this);
        return _this;
    }
    /**
     * @stable [30.08.2018]
     * @returns {JSX.Element}
     */
    TabPanelContainer.prototype.render = function () {
        return (React.createElement(tabpanel_component_1.TabPanel, __assign({ useIndicator: false, forwardRendered: false, backwardRendered: false, centered: false }, this.props.tabPanelConfiguration, { onDeactivate: this.onDeactivate, activeValue: this.getTabActiveValue(), onClick: this.onTabClick })));
    };
    /**
     * @stable [30.08.2018]
     * @returns {number}
     */
    TabPanelContainer.prototype.getTabActiveValue = function () {
        var props = this.props;
        return tabpanel_support_1.getTabActiveValue(props.tabPanel, props.tabPanelConfiguration);
    };
    /**
     * @stable [30.08.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    TabPanelContainer.prototype.dispatchActiveValue = function (payloadWrapper) {
        this.dispatchFrameworkAction(tabpanel_interface_1.TAB_PANEL_ACTIVE_VALUE_ACTION_TYPE, payloadWrapper);
    };
    /**
     * @stable [30.08.2018]
     * @param {IPayloadWrapper<number>} payloadWrapper
     */
    TabPanelContainer.prototype.dispatchDeactivatedValue = function (payloadWrapper) {
        this.dispatchFrameworkAction(tabpanel_interface_1.TAB_PANEL_DEACTIVATED_VALUE_ACTION_TYPE, payloadWrapper);
    };
    /**
     * @stable [30.08.2018]
     * @param {ITabConfiguration} tab
     */
    TabPanelContainer.prototype.onTabClick = function (tab) {
        var payloadWrapper = { payload: tab.value };
        this.dispatchActiveValue(payloadWrapper);
    };
    /**
     * @stable [02.09.2018]
     * @param {number} activeValue
     */
    TabPanelContainer.prototype.onDeactivate = function (activeValue) {
        var payloadWrapper = { payload: activeValue };
        this.dispatchDeactivatedValue(payloadWrapper);
    };
    return TabPanelContainer;
}(base_1.BaseContainer));
exports.TabPanelContainer = TabPanelContainer;
//# sourceMappingURL=tabpanel.container.js.map