import { AnyT } from '../definitions.interface';
/**
 * @stable [31.08.2019]
 */
export interface IBaseEvent extends Partial<Event> {
    nativeEvent?: Event;
}
/**
 * @stable [31.08.2019]
 */
export declare enum TouchEventsEnum {
    TOUCH_START = "touchstart",
    TOUCH_END = "touchend",
    TOUCH_CANCEL = "touchcancel",
    TOUCH_MOVE = "touchmove"
}
/**
 * @stable [11.09.2019]
 */
export declare enum EventsEnum {
    KEYDOWN = "keydown",
    KEYPRESS = "keypress",
    LOAD = "load",
    MOUSE_DOWN = "mousedown",
    RESIZE = "resize",
    UNLOAD = "unload"
}
/**
 * @stable [24.09.2019]
 */
export interface IEventManager {
    add(el: EventTarget, type: string, callback: (...args: any[]) => void, capturing?: boolean): void;
    remove(el: EventTarget, type: string, callback: (...args: any[]) => void, capturing?: boolean): void;
    fabricate(el: EventTarget, type: string, callback: (...args: any[]) => void, model?: AnyT): void;
    subscribe(el: EventTarget, type: string, callback: (...args: any[]) => void, capturing?: boolean): () => void;
}
