import { Store } from 'redux';
import { INumberConverter, IDateConverter } from '../converter';
import { ISettingsEntity } from '../settings';
import { IAuth, IEnvironment, IEventManager, ILogManager, IModifyEntityPayloadFactory, IPermissionsManager, IStateSerializer, IStorage, ITransport, IUniversalComponentCtor, UniversalPluginFactoryT } from '../definition';
import { IUIFactory } from '../component/factory/factory.interface';
import { TranslatorT } from '../translation';
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
export declare const getNumberConverter: () => INumberConverter;
/**
 * @stable [16.11.2019]
 * @returns {IPermissionsManager<TAccessConfig>}
 */
export declare const getPermissionsManager: <TAccessConfig = {}>() => IPermissionsManager<TAccessConfig>;
/**
 * @stable [16.11.2019]
 * @returns {DynamicRoutesMapT}
 */
export declare const getDynamicRoutes: () => Map<import("core/definition/container-definition.interface").IUniversalContainerCtor<import("core/definition/props-definition.interface").IUniversalContainerProps, {}>, import("core/definition/connector-definition.interface").IConnectorEntity<{}, {}>>;
/**
 * @stable [16.11.2019]
 * @returns {IAuth}
 */
export declare const getAuth: () => IAuth;
/**
 * @stable [07.10.2019]
 * @returns {IDateConverter}
 */
export declare const getDateConverter: () => IDateConverter;
/**
 * @stable [09.11.2018]
 * @returns {IUIFactory}
 */
export declare const getUiFactory: () => IUIFactory;
/**
 * @stable [23.10.2019]
 * @returns {Map<IUniversalComponentCtor, UniversalPluginFactoryT>}
 */
export declare const getUiPlugins: () => Map<IUniversalComponentCtor<import("core/definition/props-definition.interface").IUniversalComponentProps, {}>, UniversalPluginFactoryT>;
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
export declare const getTranslator: () => TranslatorT;
/**
 * @stable [29.07.2019]
 * @returns {ISettingsEntity}
 */
export declare const getSettings: () => ISettingsEntity;
/**
 * @stable [29.07.2019]
 * @returns {IStorage}
 */
export declare const getDatabaseStorage: () => IStorage;
/**
 * @stable [23.02.2019]
 * @returns {TApi}
 */
export declare const getApi: <TApi>() => TApi;
/**
 * @stable [11.09.2019]
 * @returns {Store<TState>}
 */
export declare const getStore: <TState>() => Store<TState>;
/**
 * @stable [15.09.2019]
 * @returns {ITransport}
 */
export declare const getTransport: () => ITransport;
/**
 * @stable [20.09.2019]
 * @returns {IEnvironment}
 */
export declare const getEnvironment: () => IEnvironment;
/**
 * @stable [24.09.2019]
 * @returns {IStorage}
 */
export declare const getStorage: () => IStorage;
/**
 * @stable [24.09.2019]
 * @returns {ILogManager}
 */
export declare const getLogManager: () => ILogManager;
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
export declare const getEventManager: () => IEventManager;
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
export declare const getStateSerializer: () => IStateSerializer<import("core/definition/redux-definition.interface").IStoreEntity<{}, {}>>;
/**
 * @stable [09.10.2019]
 * @returns {IModifyEntityPayloadFactory}
 */
export declare const getModifyEntityPayloadFactory: () => IModifyEntityPayloadFactory;
