"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var R = require("ramda");
var di_1 = require("../../di");
var util_1 = require("../../util");
var TransportFactory = /** @class */ (function () {
    function TransportFactory() {
        this.cancelUuid = util_1.uuid();
        this.operationsIdsMap = new Map();
    }
    /**
     * @stable [11.08.2019]
     * @param {ITransportRequestEntity} req
     * @param {(payload: ITransportRequestEntity) => ITransportRequestEntity} requestPayloadHandler
     * @returns {Promise<ITransportResponseFactoryEntity>}
     */
    TransportFactory.prototype.request = function (req, requestPayloadHandler) {
        return __awaiter(this, void 0, void 0, function () {
            var cancelTokenEntity, operationId, requestProvider, res, requestPayload, e_1, eResponse;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        operationId = this.toOperationId(req);
                        requestProvider = this.getRequestProvider(req);
                        if (operationId) {
                            cancelTokenEntity = requestProvider.provideCancelToken();
                            if (cancelTokenEntity) {
                                this.operationsIdsMap.set(operationId, cancelTokenEntity);
                            }
                        }
                        requestPayload = this.requestPayloadFactory.makeRequestPayload(req, cancelTokenEntity);
                        _a.label = 1;
                    case 1:
                        _a.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, requestProvider.provideRequest(util_1.isFn(requestPayloadHandler) ? requestPayloadHandler(requestPayload) : requestPayload)];
                    case 2:
                        res = _a.sent();
                        this.clearOperation(operationId);
                        return [3 /*break*/, 4];
                    case 3:
                        e_1 = _a.sent();
                        eResponse = this.getResponseFactory(req).makeErrorResponse(e_1);
                        if (eResponse.message === this.cancelUuid) {
                            throw __assign({}, eResponse, { message: this.settings.messages.requestCancelErrorMessage, cancelled: true });
                        }
                        else {
                            // Does not need to remove canceled operation because the next request will clear it
                            this.clearOperation(operationId);
                        }
                        throw eResponse;
                    case 4: return [2 /*return*/, this.getResponseFactory(req).makeResponse(req, res)];
                }
            });
        });
    };
    /**
     * @stable [07.02.2019]
     * @param {ITransportRequestEntity} req
     */
    TransportFactory.prototype.cancelRequest = function (req) {
        var operationId = this.toOperationId(req);
        var cancelToken = this.operationsIdsMap.get(operationId);
        if (cancelToken) {
            cancelToken.cancel(this.cancelUuid);
            this.clearOperation(operationId);
        }
    };
    /**
     * @stable [01.02.2019]
     * @param {string} operationId
     */
    TransportFactory.prototype.clearOperation = function (operationId) {
        if (R.isNil(operationId)) {
            return;
        }
        this.operationsIdsMap.delete(operationId);
    };
    /**
     * @stable [02.02.2019]
     * @param {ITransportRequestEntity} req
     * @returns {ITransportResponseFactory}
     */
    TransportFactory.prototype.getResponseFactory = function (req) {
        return util_1.nvl(req.responseFactory, this.responseFactory);
    };
    /**
     * @stable [16.09.2019]
     * @param {ITransportRequestEntity} req
     * @returns {ITransportRequestProvider}
     */
    TransportFactory.prototype.getRequestProvider = function (req) {
        return util_1.nvl(req.requestProvider, this.requestProvider);
    };
    /**
     * @stable [07.02.2019]
     * @param {ITransportRequestEntity} req
     * @returns {string}
     */
    TransportFactory.prototype.toOperationId = function (req) {
        return util_1.ifNotNilThanValue(req.operation, function (operation) { return operation.id; });
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Settings),
        __metadata("design:type", Object)
    ], TransportFactory.prototype, "settings", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.TransportRequestProvider),
        __metadata("design:type", Object)
    ], TransportFactory.prototype, "requestProvider", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.TransportRequestPayloadFactory),
        __metadata("design:type", Object)
    ], TransportFactory.prototype, "requestPayloadFactory", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.TransportResponseFactory),
        __metadata("design:type", Object)
    ], TransportFactory.prototype, "responseFactory", void 0);
    TransportFactory = __decorate([
        inversify_1.injectable()
    ], TransportFactory);
    return TransportFactory;
}());
exports.TransportFactory = TransportFactory;
//# sourceMappingURL=transport-factory.service.js.map