"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
var util_1 = require("../util");
/**
 * @stable [09.05.2018]
 * @param {IPaginatedEntity} entity
 * @returns {number}
 */
exports.pageFromNumber = function (entity) { return 1 + (entity.page - definitions_interface_1.FIRST_PAGE) * entity.pageSize; };
/**
 * @stable [29.05.2018]
 * @param {IPaginatedEntity} entity
 * @returns {number}
 */
exports.pageToNumber = function (entity) { return util_1.ifNotNilThanValue(entity.pageSize, function (pageSize) { return Math.min(entity.page * pageSize, entity.totalCount); }); };
/**
 * @stable [23.06.2019]
 * @param {IPaginatedEntity} entity
 * @returns {number}
 */
exports.pagesCount = function (entity) { return Math.ceil(entity.totalCount / entity.pageSize); };
//# sourceMappingURL=page.js.map