import { AnyT, IProgressWrapper } from '../definitions.interface';
export declare class DelayedTask implements IProgressWrapper {
    private task;
    private period;
    private repeat;
    private taskId;
    private context;
    /**
     * @stable [13.10.2019]
     * @param {(context?: AnyT) => void} task
     * @param {number} period
     * @param {boolean} repeat
     */
    constructor(task: (context?: AnyT) => void, period?: number, repeat?: boolean);
    /**
     * @stable [13.10.2019]
     * @returns {boolean}
     */
    readonly progress: boolean;
    /**
     * @stable [29.07.2018]
     * @param {AnyT} context
     */
    start(context?: AnyT): void;
    /**
     * @stable [29.07.2018]
     */
    stop(): void;
    /**
     * @stable [29.07.2018]
     */
    private launchTask;
    /**
     * @stable [29.07.2018]
     */
    private onTaskDone;
}
